Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.version
Class Version

    java.lang.Object
      org.deegree.framework.version.Version

    public final class Version

extends Object

The version number is created by 3 parts, the first represents the version number, the second a essential update of a release, the third the build number. The version number could be numeric or alphanumeric, e.g. 'Foo2' or '2.0'.
e.g.:
2.0alpha.142 - version no. 2, release 0 alpha, build 142
2.0beta.178 - version no. 2, release 0 beta, build 178
2.0.198 - version no. 2, release 0, build 198

Version:
  3.0 . $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe, last edited by: $Author: mschneider $

Method Summary
`static String` | `getBuildBy()` Returns the name of the builder.
`static String` | `getBuildDate()` Returns the date string when the current build was created.
`static String` | `getBuildNumber()` Returns the current build number.
`static String` | `getSvnInfo()`
`static String` | `getSvnPath()`
`static String` | `getSvnRevision()`
`static String` | `getVersion()` Returns the version of the application.
`static String` | `getVersionNumber()` Returns the version number.
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getVersion

    public static String getVersion()

  Returns the version of the application. The version number is created by 3 parts, the first represents the version number, the second a essential update of a release, the third the build number. The version number could be numeric or alphanumeric, e.g. 'Foo2' or '2.0'.

  e.g.:
  1.0.42 - version no. 1, release 0, build 42
  1.1.78 - version no. 1, release 1, build 78
  2.0.98 - version no. 2, release 0, build 98

  Returns:
    the version string

### getVersionNumber

    public static String getVersionNumber()

  Returns the version number.

  Returns:
    the version number

### getBuildNumber

    public static String getBuildNumber()

  Returns the current build number.

  Returns:
    the current build number

### getBuildDate

    public static String getBuildDate()

  Returns the date string when the current build was created.

  Returns:
    the date as String

### getBuildBy

    public static String getBuildBy()

  Returns the name of the builder.

  Returns:
    the name of the builder

### getSvnInfo

    public static String getSvnInfo()

  Returns:
    the svn revision number and path

### getSvnRevision

    public static String getSvnRevision()

  Returns:
    the svn revision number

### getSvnPath

    public static String getSvnPath()

  Returns:
    the svn path

### main

    public static void main(String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org